function [status] = prototypovaci_deska()
% zjisteni, zda je zapnuta prototypovaci deska
    
global dev fgen s vps

s.Rate = 1e3;
s.addAnalogOutputChannel(dev, 0:1, 'Voltage');
s.Rate = 1e3;

s.outputSingleScan([0 0]);

s.removeChannel([1 2]);
vps.Vneg = 0;
% ovladani rele
vps.Vpos = 0;


% propustna zotavovaci doba
s.addAnalogInputChannel(dev, 6, 'Voltage'); % napeti
fgen.Function = 'sine';
fgen.Frequency = 1e3;
fgen.Amplitude = 0.1;
fgen.Offset = 0;
s.Rate = 100e3;
s.Channels(1).Range = [-1 1];
% zmereni 2 period signalu
s.NumberOfScans = 2 * s.Rate / fgen.Frequency;
fgen.start;
data = s.startForeground;
fgen.Offset = 0;
fgen.stop;

% zjisteni, zda je prototypovaci deska zapnuta nebo vypnuta se provadi
% pomoci harmonickeho signalu o amplitude 0.1 V a frekvenci 1 kHz. Pote se
% urci, jestli jsou casti nad osou a pod osou priblizne stejne zastoupeny.
% Pokud ano, je deska zapnuta, pokud ne, pravdepodobne je vypnuta
upr = double(data > 0);
stred = mean(upr);
if stred < 0.6 && stred > 0.4
    status = true;
else
    status = false;
end

% nastaveni do vychoziho stavu
vps.Vneg = 0;
vps.Vpos = 0;
s.removeChannel(1);

return
